Magick::DrawablePointSize Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::DrawablePointSize:
[legend]
Collaboration diagram for Magick::DrawablePointSize:
[legend]

## Public Member Functions

| DrawablePointSize (double pointSize_)
| ~DrawablePointSize (void)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | pointSize (double pointSize_)
double | pointSize (void) const
Public Member Functions inherited from Magick::DrawableBase
| DrawableBase (void)
virtual | ~DrawableBase (void)

## Detailed Description

Definition at line 1185 of file Drawable.h.

## Constructor & Destructor Documentation

Magick::DrawablePointSize::DrawablePointSize | ( | double | pointSize_ | ) |

inline

Definition at line 1188 of file Drawable.h.

Magick::DrawablePointSize::~DrawablePointSize | ( | void |  | ) |

Definition at line 788 of file Drawable.cpp.

## Member Function Documentation

Magick::DrawableBase * Magick::DrawablePointSize::copy | ( |  | ) | const

virtual

Implements Magick::DrawableBase.

Definition at line 796 of file Drawable.cpp.

void Magick::DrawablePointSize::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Implements Magick::DrawableBase.

Definition at line 792 of file Drawable.cpp.

void Magick::DrawablePointSize::pointSize | ( | double | pointSize_ | ) |

inline

Definition at line 1200 of file Drawable.h.

double Magick::DrawablePointSize::pointSize | ( | void |  | ) | const

inline

Definition at line 1204 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp